"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ConsistencyStatus(object):
    """
    The consistency of evidences for a given phenotype. This aggregates
    all evidences for a given phenotype and all     evidences with no
    phenotype associated (e.g.: in silico impact prediction,
    population frequency).     This is based on the Confidence
    Information Ontology terms.      * `CIO_0000033`: congruent, all
    evidences are consistent.
    http://purl.obolibrary.org/obo/CIO_0000033     * `CIO_0000034`:
    conflict, there are conflicting evidences. This should correspond
    to a `VariantClassification` of     `uncertain_significance` for
    mendelian disorders. http://purl.obolibrary.org/obo/CIO_0000034
    * `CIO_0000035`: strongly conflicting.
    http://purl.obolibrary.org/obo/CIO_0000035     * `CIO_0000036`:
    weakly conflicting. http://purl.obolibrary.org/obo/CIO_0000036
    """

    congruent = "congruent"
    conflict = "conflict"
    weakly_conflicting = "weakly_conflicting"
    strongly_conflicting = "strongly_conflicting"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.6.0"
